Bug 83123 - Problem with nis and nfs
Problem with nis and nfs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
7.3
i686 Linux
high Severity high
: ---
: ---
Assigned To: Steve Dickson
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-30 10:40 EST by Radko Lazarov
Modified: 2015-01-07 19:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 07:23:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radko Lazarov 2003-01-30 10:40:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20021120 Netscape/7.01

Description of problem:
I've a red hat 7.3 on witch working nis and nfs server everithink semms to
working OK but I've smoe trobules

When I log in on any client with RH 5.2 or 8.0 the login procedure use nis. In
login no problem
any client mount /home directory on server like them /home
when I'm logged on in prompt I've
"I have no name"
when i ls my dir. i see that my files a owned by 511.users acctually my uid is
511, that is no problem but problem is that machine can't connect uid with name

How can I resolve that problem?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
I've a red hat 7.3 on witch working nis and nfs server everithink semms to
working OK but I've smoe trobules

When I log in on any client with RH 5.2 or 8.0 the login procedure use nis. In
login no problem
any client mount /home directory on server like them /home
when I'm logged on in prompt I've
"I have no name"
when i ls my dir. i see that my files a owned by 511.users acctually my uid is
511, that is no problem but problem is that machine can't connect uid with name

How can I resolve that problem?


Additional info:
Comment 1 Steve Dickson 2003-02-03 10:49:37 EST
It sound like ypbind is unable to bind to
your NIS server. Who does ypwhich say your
NIS server is? Are there any related messages
in /var/log/messages?
Comment 2 Radko Lazarov 2003-02-03 12:12:18 EST
ypwitch working corrcetly and show correct server
I'm able to login nay machine but only  /that tell us the ypbind working right/
the file and directory owner is showed with uid not with username
for example
myfiles 501.users
otherfiles 501.mygroup

my uid is 501 but whoami show 
can't resolve name for uid

when i try ypcat passwd
on client or on server
there's no retur
this return the whole ticket only when i run ypcat under root

any suggestion?
Comment 3 Steve Dickson 2003-02-03 13:50:44 EST
Could you post the output of "strace ypcat passwd.byname" 
as root and as a non-root user
Comment 4 Radko Lazarov 2003-02-05 11:43:22 EST
in them no anylines? 
 in securenets we have 0.0.0.0  0.0.0.0 that must be give access to everibody 
  
 the result form whoami: 
  
 whoami: cannot find username for UID 501 
 
  
 this is in log on server when client try to do ypcat 
 /var/log/secure 
 	ypserv[30198]: refused connect from 10.35.3.21:3862 to procedure ypproc_all 
/var/log/messages 
	ypserv[30198]: refused connect from 10.35.3.21:3862 to procedure ypproc_all 
 
when tring from server under user restriction	 
	refused connect from 10.35.3.1:33733 to procedure ypproc_all 
 
this is form log on server when client login using NIS	 
	refused connect from 10.35.3.64:1205 to procedure ypproc_match 
ypserv[30198]: refused connect from 10.35.3.64:1208 to procedure ypproc_match 
 
 
that is the result from strace ypcat from client under user restrictions: 
 
strace ypcat passwd.byname 
execve("/usr/bin/ypcat", ["ypcat", "passwd.byname"], [/* 19 vars */]) = 0 
brk(0)                                  = 0x804aafc 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40014000 
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory) 
open("/etc/ld.so.cache", O_RDONLY)      = 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=11928, ...}) = 0 
old_mmap(NULL, 11928, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40015000 
close(3)                                = 0 
open("/lib/libnsl.so.1", O_RDONLY)      = 3 
fstat(3, {st_mode=S_IFREG|0755, st_size=370141, ...}) = 0 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20?\0\000"..., 4096) = 4096 
old_mmap(NULL, 88104, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x40018000 
mprotect(0x4002a000, 14376, PROT_NONE)  = 0 
old_mmap(0x4002a000, 8192, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED, 3, 0x11000) = 0x4002a000 
old_mmap(0x4002c000, 6184, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4002c000 
close(3)                                = 0 
open("/lib/libc.so.6", O_RDONLY)        = 3 
fstat(3, {st_mode=S_IFREG|0755, st_size=4101324, ...}) = 0 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\210\212"..., 4096) = 4096 
old_mmap(NULL, 1001564, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x4002e000 
mprotect(0x4011b000, 30812, PROT_NONE)  = 0 
old_mmap(0x4011b000, 16384, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED, 3, 0xec000) = 0x4011b000 
old_mmap(0x4011f000, 14428, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4011f000 
close(3)                                = 0 
mprotect(0x4002e000, 970752, PROT_READ|PROT_WRITE) = 0 
mprotect(0x4002e000, 970752, PROT_READ|PROT_EXEC) = 0 
munmap(0x40015000, 11928)               = 0 
personality(PER_LINUX)                  = 0 
getpid()                                = 17612 
brk(0)                                  = 0x804aafc 
brk(0x804ab34)                          = 0x804ab34 
brk(0x804b000)                          = 0x804b000 
open("/usr/share/locale/locale.alias", O_RDONLY) = 3 
fstat64(0x3, 0xbfffb844)                = -1 ENOSYS (Function not implemented) 
fstat(3, {st_mode=S_IFREG|0644, st_size=2265, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40015000 
read(3, "# Locale name alias data base.\n#"..., 4096) = 2265 
brk(0x804c000)                          = 0x804c000 
read(3, "", 4096)                       = 0 
close(3)                                = 0 
munmap(0x40015000, 4096)                = 0 
open("/usr/share/i18n/locale.alias", O_RDONLY) = -1 ENOENT (No such file or 
directory) 
open("/usr/share/locale/en_US/LC_MESSAGES", O_RDONLY) = 3 
fstat(3, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0 
close(3)                                = 0 
open("/usr/share/locale/en_US/LC_MESSAGES/SYS_LC_MESSAGES", O_RDONLY) 
= 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=44, ...}) = 0 
old_mmap(NULL, 44, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40015000 
close(3)                                = 0 
uname({sys="Linux", node="anubis", ...}) = 0 
open("/var/yp/nicknames", O_RDONLY)     = 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=185, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40016000 
read(3, "passwd\t\tpasswd.byname\ngroup\t\tgro"..., 4096) = 185 
read(3, "", 4096)                       = 0 
close(3)                                = 0 
munmap(0x40016000, 4096)                = 0 
open("/var/yp/binding/sofnis.elex.be.2", O_RDONLY) = 3 
readv(3, [{"\177\3", 2}, {"\1\0\0\0\n#\3\1\2\270\0\0", 12}], 2) = 14 
brk(0x8051000)                          = 0x8051000 
gettimeofday({1044355619, 744945}, NULL) = 0 
socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP) = 4 
getpid()                                = 17612 
bind(4, {sin_family=AF_INET, sin_port=htons(828), sin_addr=inet_addr("0.0.0.0")}}, 
16) = -1 EACCES (Permission denied) 
ioctl(4, FIONBIO, [1])                  = 0 
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0 
close(3)                                = 0 
close(4)                                = 0 
socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP) = 3 
bind(3, {sin_family=AF_INET, sin_port=htons(829), sin_addr=inet_addr("0.0.0.0")}}, 
16) = -1 EACCES (Permission denied) 
ioctl(3, FIONBIO, [1])                  = 0 
sendto(3, "v\26\336Q\0\0\0\0\0\0\0\2\0\1\206\240\0\0\0\2\0\0\0\3\0"..., 56, 0, 
{sin_family=AF_INET, sin_port=htons(111), sin_addr=inet_addr("10.35.3.1")}}, 16) = 
56 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 5000) = 1 
recvfrom(3, "v\26\336Q\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\2"..., 400, 0, 
{sin_family=AF_INET, sin_port=htons(111), sin_addr=inet_addr("10.35.3.1")}}, [16]) = 
28 
close(3)                                = 0 
socket(PF_INET, SOCK_STREAM, IPPROTO_TCP) = 3 
bind(3, {sin_family=AF_INET, sin_port=htons(830), sin_addr=inet_addr("0.0.0.0")}}, 
16) = -1 EACCES (Permission denied) 
connect(3, {sin_family=AF_INET, sin_port=htons(699), 
sin_addr=inet_addr("10.35.3.1")}}, 16) = 0 
brk(0x8053000)                          = 0x8053000 
write(3, "\200\0\0P)\226\357\307\0\0\0\0\0\0\0\2\0\1\206\244\0\0"..., 84) = 84 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 25000) = 1 
read(3, "\200\0\0,)\226\357\307\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0"..., 4000) = 48 
close(4)                                = -1 EBADF (Bad file descriptor) 
close(3)                                = 0 
_exit(0)                                = ? 
bash$ strace ypcat passwd.byname 
execve("/usr/bin/ypcat", ["ypcat", "passwd.byname"], [/* 19 vars */]) = 0 
brk(0)                                  = 0x804aafc 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40014000 
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory) 
open("/etc/ld.so.cache", O_RDONLY)      = 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=11928, ...}) = 0 
old_mmap(NULL, 11928, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40015000 
close(3)                                = 0 
open("/lib/libnsl.so.1", O_RDONLY)      = 3 
fstat(3, {st_mode=S_IFREG|0755, st_size=370141, ...}) = 0 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20?\0\000"..., 4096) = 4096 
old_mmap(NULL, 88104, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x40018000 
mprotect(0x4002a000, 14376, PROT_NONE)  = 0 
old_mmap(0x4002a000, 8192, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED, 3, 0x11000) = 0x4002a000 
old_mmap(0x4002c000, 6184, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4002c000 
close(3)                                = 0 
open("/lib/libc.so.6", O_RDONLY)        = 3 
fstat(3, {st_mode=S_IFREG|0755, st_size=4101324, ...}) = 0 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\210\212"..., 4096) = 4096 
old_mmap(NULL, 1001564, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x4002e000 
mprotect(0x4011b000, 30812, PROT_NONE)  = 0 
old_mmap(0x4011b000, 16384, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED, 3, 0xec000) = 0x4011b000 
old_mmap(0x4011f000, 14428, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4011f000 
close(3)                                = 0 
mprotect(0x4002e000, 970752, PROT_READ|PROT_WRITE) = 0 
mprotect(0x4002e000, 970752, PROT_READ|PROT_EXEC) = 0 
munmap(0x40015000, 11928)               = 0 
personality(PER_LINUX)                  = 0 
getpid()                                = 17614 
brk(0)                                  = 0x804aafc 
brk(0x804ab34)                          = 0x804ab34 
brk(0x804b000)                          = 0x804b000 
open("/usr/share/locale/locale.alias", O_RDONLY) = 3 
fstat64(0x3, 0xbfffb844)                = -1 ENOSYS (Function not implemented) 
fstat(3, {st_mode=S_IFREG|0644, st_size=2265, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40015000 
read(3, "# Locale name alias data base.\n#"..., 4096) = 2265 
brk(0x804c000)                          = 0x804c000 
read(3, "", 4096)                       = 0 
close(3)                                = 0 
munmap(0x40015000, 4096)                = 0 
open("/usr/share/i18n/locale.alias", O_RDONLY) = -1 ENOENT (No such file or 
directory) 
open("/usr/share/locale/en_US/LC_MESSAGES", O_RDONLY) = 3 
fstat(3, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0 
close(3)                                = 0 
open("/usr/share/locale/en_US/LC_MESSAGES/SYS_LC_MESSAGES", O_RDONLY) 
= 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=44, ...}) = 0 
old_mmap(NULL, 44, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40015000 
close(3)                                = 0 
uname({sys="Linux", node="anubis", ...}) = 0 
open("/var/yp/nicknames", O_RDONLY)     = 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=185, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40016000 
read(3, "passwd\t\tpasswd.byname\ngroup\t\tgro"..., 4096) = 185 
read(3, "", 4096)                       = 0 
close(3)                                = 0 
munmap(0x40016000, 4096)                = 0 
open("/var/yp/binding/sofnis.elex.be.2", O_RDONLY) = 3 
readv(3, [{"\177\3", 2}, {"\1\0\0\0\n#\3\1\2\270\0\0", 12}], 2) = 14 
brk(0x8051000)                          = 0x8051000 
gettimeofday({1044355770, 864578}, NULL) = 0 
socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP) = 4 
getpid()                                = 17614 
bind(4, {sin_family=AF_INET, sin_port=htons(830), sin_addr=inet_addr("0.0.0.0")}}, 
16) = -1 EACCES (Permission denied) 
ioctl(4, FIONBIO, [1])                  = 0 
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0 
close(3)                                = 0 
close(4)                                = 0 
socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP) = 3 
bind(3, {sin_family=AF_INET, sin_port=htons(831), sin_addr=inet_addr("0.0.0.0")}}, 
16) = -1 EACCES (Permission denied) 
ioctl(3, FIONBIO, [1])                  = 0 
sendto(3, "\16<\346\34\0\0\0\0\0\0\0\2\0\1\206\240\0\0\0\2\0\0\0\3"..., 56, 0, 
{sin_family=AF_INET, sin_port=htons(111), sin_addr=inet_addr("10.35.3.1")}}, 16) = 
56 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 5000) = 1 
recvfrom(3, "\16<\346\34\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 400, 0, 
{sin_family=AF_INET, sin_port=htons(111), sin_addr=inet_addr("10.35.3.1")}}, [16]) = 
28 
close(3)                                = 0 
socket(PF_INET, SOCK_STREAM, IPPROTO_TCP) = 3 
bind(3, {sin_family=AF_INET, sin_port=htons(832), sin_addr=inet_addr("0.0.0.0")}}, 
16) = -1 EACCES (Permission denied) 
connect(3, {sin_family=AF_INET, sin_port=htons(699), 
sin_addr=inet_addr("10.35.3.1")}}, 16) = 0 
brk(0x8053000)                          = 0x8053000 
write(3, "\200\0\0PU\354\2436\0\0\0\0\0\0\0\2\0\1\206\244\0\0\0\2"..., 84) = 84 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 25000) = 1 
read(3, "\200\0\0,U\354\2436\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4000) = 48 
close(4)                                = -1 EBADF (Bad file descriptor) 
close(3)                                = 0 
_exit(0)                                = ? 
bash$ strace ypcat passwd.byname 
execve("/usr/bin/ypcat", ["ypcat", "passwd.byname"], [/* 19 vars */]) = 0 
brk(0)                                  = 0x804aafc 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40014000 
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory) 
open("/etc/ld.so.cache", O_RDONLY)      = 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=11928, ...}) = 0 
old_mmap(NULL, 11928, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40015000 
close(3)                                = 0 
open("/lib/libnsl.so.1", O_RDONLY)      = 3 
fstat(3, {st_mode=S_IFREG|0755, st_size=370141, ...}) = 0 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20?\0\000"..., 4096) = 4096 
old_mmap(NULL, 88104, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x40018000 
mprotect(0x4002a000, 14376, PROT_NONE)  = 0 
old_mmap(0x4002a000, 8192, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED, 3, 0x11000) = 0x4002a000 
old_mmap(0x4002c000, 6184, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4002c000 
close(3)                                = 0 
open("/lib/libc.so.6", O_RDONLY)        = 3 
fstat(3, {st_mode=S_IFREG|0755, st_size=4101324, ...}) = 0 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\210\212"..., 4096) = 4096 
old_mmap(NULL, 1001564, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x4002e000 
mprotect(0x4011b000, 30812, PROT_NONE)  = 0 
old_mmap(0x4011b000, 16384, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED, 3, 0xec000) = 0x4011b000 
old_mmap(0x4011f000, 14428, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4011f000 
close(3)                                = 0 
mprotect(0x4002e000, 970752, PROT_READ|PROT_WRITE) = 0 
mprotect(0x4002e000, 970752, PROT_READ|PROT_EXEC) = 0 
munmap(0x40015000, 11928)               = 0 
personality(PER_LINUX)                  = 0 
getpid()                                = 17616 
brk(0)                                  = 0x804aafc 
brk(0x804ab34)                          = 0x804ab34 
brk(0x804b000)                          = 0x804b000 
open("/usr/share/locale/locale.alias", O_RDONLY) = 3 
fstat64(0x3, 0xbfffb844)                = -1 ENOSYS (Function not implemented) 
fstat(3, {st_mode=S_IFREG|0644, st_size=2265, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40015000 
read(3, "# Locale name alias data base.\n#"..., 4096) = 2265 
brk(0x804c000)                          = 0x804c000 
read(3, "", 4096)                       = 0 
close(3)                                = 0 
munmap(0x40015000, 4096)                = 0 
open("/usr/share/i18n/locale.alias", O_RDONLY) = -1 ENOENT (No such file or 
directory) 
open("/usr/share/locale/en_US/LC_MESSAGES", O_RDONLY) = 3 
fstat(3, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0 
close(3)                                = 0 
open("/usr/share/locale/en_US/LC_MESSAGES/SYS_LC_MESSAGES", O_RDONLY) 
= 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=44, ...}) = 0 
old_mmap(NULL, 44, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40015000 
close(3)                                = 0 
uname({sys="Linux", node="anubis", ...}) = 0 
open("/var/yp/nicknames", O_RDONLY)     = 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=185, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40016000 
read(3, "passwd\t\tpasswd.byname\ngroup\t\tgro"..., 4096) = 185 
read(3, "", 4096)                       = 0 
close(3)                                = 0 
munmap(0x40016000, 4096)                = 0 
open("/var/yp/binding/sofnis.elex.be.2", O_RDONLY) = 3 
readv(3, [{"\177\3", 2}, {"\1\0\0\0\n#\3\1\2\270\0\0", 12}], 2) = 14 
brk(0x8051000)                          = 0x8051000 
gettimeofday({1044355795, 951805}, NULL) = 0 
socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP) = 4 
getpid()                                = 17616 
bind(4, {sin_family=AF_INET, sin_port=htons(832), sin_addr=inet_addr("0.0.0.0")}}, 
16) = -1 EACCES (Permission denied) 
ioctl(4, FIONBIO, [1])                  = 0 
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0 
close(3)                                = 0 
close(4)                                = 0 
socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP) = 3 
bind(3, {sin_family=AF_INET, sin_port=htons(833), sin_addr=inet_addr("0.0.0.0")}}, 
16) = -1 EACCES (Permission denied) 
ioctl(3, FIONBIO, [1])                  = 0 
sendto(3, "\34K\224\257\0\0\0\0\0\0\0\2\0\1\206\240\0\0\0\2\0\0\0"..., 56, 0, 
{sin_family=AF_INET, sin_port=htons(111), sin_addr=inet_addr("10.35.3.1")}}, 16) = 
56 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 5000) = 1 
recvfrom(3, "\34K\224\257\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 400, 0, 
{sin_family=AF_INET, sin_port=htons(111), sin_addr=inet_addr("10.35.3.1")}}, [16]) = 
28 
close(3)                                = 0 
socket(PF_INET, SOCK_STREAM, IPPROTO_TCP) = 3 
bind(3, {sin_family=AF_INET, sin_port=htons(834), sin_addr=inet_addr("0.0.0.0")}}, 
16) = -1 EACCES (Permission denied) 
connect(3, {sin_family=AF_INET, sin_port=htons(699), 
sin_addr=inet_addr("10.35.3.1")}}, 16) = 0 
brk(0x8053000)                          = 0x8053000 
write(3, "\200\0\0Pl\211\t\315\0\0\0\0\0\0\0\2\0\1\206\244\0\0\0"..., 84) = 84 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 25000) = 1 
read(3, "\200\0\0,l\211\t\315\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4000) = 48 
close(4)                                = -1 EBADF (Bad file descriptor) 
close(3)                                = 0 
_exit(0)                                = ? 
 
 
 
 
 
that is result from client from strace ypcat under root 
 
strace ypcat passwd.byname > trace 
execve("/usr/bin/ypcat", ["ypcat", "passwd.byname"], [/* 20 vars */]) = 0 
brk(0)                                  = 0x804aafc 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40014000 
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory) 
open("/etc/ld.so.cache", O_RDONLY)      = 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=11928, ...}) = 0 
old_mmap(NULL, 11928, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40015000 
close(3)                                = 0 
open("/lib/libnsl.so.1", O_RDONLY)      = 3 
fstat(3, {st_mode=S_IFREG|0755, st_size=370141, ...}) = 0 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20?\0\000"..., 4096) = 4096 
old_mmap(NULL, 88104, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x40018000 
mprotect(0x4002a000, 14376, PROT_NONE)  = 0 
old_mmap(0x4002a000, 8192, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED, 3, 0x11000) = 0x4002a000 
old_mmap(0x4002c000, 6184, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4002c000 
close(3)                                = 0 
open("/lib/libc.so.6", O_RDONLY)        = 3 
fstat(3, {st_mode=S_IFREG|0755, st_size=4101324, ...}) = 0 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\210\212"..., 4096) = 4096 
old_mmap(NULL, 1001564, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x4002e000 
mprotect(0x4011b000, 30812, PROT_NONE)  = 0 
old_mmap(0x4011b000, 16384, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED, 3, 0xec000) = 0x4011b000 
old_mmap(0x4011f000, 14428, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4011f000 
close(3)                                = 0 
mprotect(0x4002e000, 970752, PROT_READ|PROT_WRITE) = 0 
mprotect(0x4002e000, 970752, PROT_READ|PROT_EXEC) = 0 
munmap(0x40015000, 11928)               = 0 
personality(PER_LINUX)                  = 0 
getpid()                                = 17680 
brk(0)                                  = 0x804aafc 
brk(0x804ab34)                          = 0x804ab34 
brk(0x804b000)                          = 0x804b000 
open("/usr/share/locale/locale.alias", O_RDONLY) = 3 
fstat64(0x3, 0xbfffb804)                = -1 ENOSYS (Function not implemented) 
fstat(3, {st_mode=S_IFREG|0644, st_size=2265, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40015000 
read(3, "# Locale name alias data base.\n#"..., 4096) = 2265 
brk(0x804c000)                          = 0x804c000 
read(3, "", 4096)                       = 0 
close(3)                                = 0 
munmap(0x40015000, 4096)                = 0 
open("/usr/share/i18n/locale.alias", O_RDONLY) = -1 ENOENT (No such file or 
directory) 
open("/usr/share/locale/en_US/LC_MESSAGES", O_RDONLY) = 3 
fstat(3, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0 
close(3)                                = 0 
open("/usr/share/locale/en_US/LC_MESSAGES/SYS_LC_MESSAGES", O_RDONLY) 
= 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=44, ...}) = 0 
old_mmap(NULL, 44, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40015000 
close(3)                                = 0 
uname({sys="Linux", node="anubis", ...}) = 0 
open("/var/yp/nicknames", O_RDONLY)     = 3 
fstat(3, {st_mode=S_IFREG|0644, st_size=185, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40016000 
read(3, "passwd\t\tpasswd.byname\ngroup\t\tgro"..., 4096) = 185 
read(3, "", 4096)                       = 0 
close(3)                                = 0 
munmap(0x40016000, 4096)                = 0 
open("/var/yp/binding/sofnis.elex.be.2", O_RDONLY) = 3 
readv(3, [{"\177\3", 2}, {"\1\0\0\0\n#\3\1\2\270\0\0", 12}], 2) = 14 
brk(0x8051000)                          = 0x8051000 
gettimeofday({1044356301, 693024}, NULL) = 0 
socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP) = 4 
getpid()                                = 17680 
bind(4, {sin_family=AF_INET, sin_port=htons(896), sin_addr=inet_addr("0.0.0.0")}}, 
16) = 0 
ioctl(4, FIONBIO, [1])                  = 0 
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0 
close(3)                                = 0 
close(4)                                = 0 
socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP) = 3 
bind(3, {sin_family=AF_INET, sin_port=htons(897), sin_addr=inet_addr("0.0.0.0")}}, 
16) = 0 
ioctl(3, FIONBIO, [1])                  = 0 
sendto(3, "z\236.\333\0\0\0\0\0\0\0\2\0\1\206\240\0\0\0\2\0\0\0\3"..., 56, 0, 
{sin_family=AF_INET, sin_port=htons(111), sin_addr=inet_addr("10.35.3.1")}}, 16) = 
56 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 5000) = 1 
recvfrom(3, "z\236.\333\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 400, 0, 
{sin_family=AF_INET, sin_port=htons(111), sin_addr=inet_addr("10.35.3.1")}}, [16]) = 
28 
close(3)                                = 0 
socket(PF_INET, SOCK_STREAM, IPPROTO_TCP) = 3 
bind(3, {sin_family=AF_INET, sin_port=htons(898), sin_addr=inet_addr("0.0.0.0")}}, 
16) = 0 
connect(3, {sin_family=AF_INET, sin_port=htons(699), 
sin_addr=inet_addr("10.35.3.1")}}, 16) = 0 
brk(0x8053000)                          = 0x8053000 
write(3, "\200\0\0P%Q\303S\0\0\0\0\0\0\0\2\0\1\206\244\0\0\0\2\0"..., 84) = 84 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 25000) = 1 
read(3, "\0\0\17\234%Q\303S\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4000) = 1448 
fstat(1, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40016000 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 25000) = 1 
read(3, "11:test0311:/home/test0311:/bin/"..., 4000) = 4000 
write(1, "sh\npc0520$:*:38520:38520:pc0520$"..., 4096) = 4096 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 25000) = 1 
...... /here is the same for diferent users/ 
close(4)                                = -1 EBADF (Bad file descriptor) 
close(3)                                = 0 
write(1, "bin/bash\npc0760$:*:38760:38760:p"..., 3030) = 3030 
munmap(0x40016000, 4096)                = 0 
_exit(0)                                = ? 
 
 
 
bellow is result form strace ypcat passwd.byname statred on RDH7.3 NIS server 
under user restriction: 
 
 
 
 

Note You need to log in before you can comment on or make changes to this bug.